Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.metadata.profile.info
Class ProfileInfoSupport

    java.lang.Object
      org.jboss.portal.identity.metadata.profile.info.ProfileInfoSupport

All Implemented Interfaces:
  ProfileInfo

    public class ProfileInfoSupport

extends java.lang.Object
implements ProfileInfo

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`ProfileInfoSupport(ProfileMetaData profile)`

Method Summary
`java.util.Map` | `getPropertiesInfo()` Returns a Map o PropertyInfo objects describing profile properties
`PropertyInfo` | `getPropertyInfo(java.lang.String name)` Returns a PropertyInfo object that describes specified property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileInfoSupport

    public ProfileInfoSupport(ProfileMetaData profile)
                       throws IdentityException

Throws:
  `IdentityException`

Method Detail

### getPropertiesInfo

    public java.util.Map getPropertiesInfo()

  Description copied from interface: `ProfileInfo`
  Returns a Map o PropertyInfo objects describing profile properties

  Specified by:
    `getPropertiesInfo` in interface `ProfileInfo`
  Returns:
    Map of PropertyInfo objects

### getPropertyInfo

    public PropertyInfo getPropertyInfo(java.lang.String name)

  Description copied from interface: `ProfileInfo`
  Returns a PropertyInfo object that describes specified property

  Specified by:
    `getPropertyInfo` in interface `ProfileInfo`
  Parameters:
    `name` - of property
  Returns:
    PropertyInfo of specified property or null if no such property exists.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD